Deduct Reversal


Reverse a deduction that was previously requested on a wallet

Note: KLV will not be sent for reversals.


REQUEST

Path Parameters

ParameterType & ConstraintsDescription
terminalIDstring (10 chars), requiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring (1–255), requiredThe reference of the wallet to reverse a previous deduct
requestAmountinteger, requiredThe amount of the original deduct to be reversed
narrativestring (1–255), requiredA description of the terminal where the card was used
transactionDatastring (0–2048), requiredExtra information about the transaction in KLV format
referenceIDstring (1–255), requiredTransaction ID of the original deduct to be reversed
referenceDatedate, requiredTransaction date (in UTC) of the original deduct to be reversed
transactionIDstring (1–255), requiredTransaction ID to identify the reversal message. Note that the Transaction ID is not a unique value and may be duplicated over time
transactionDatedate, requiredTransaction date (UTC) of the reversal message
checksumstring, requiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

Example Request (XML)

<?xml version="1.0"?>
<methodCall>
  <methodName>DeductReversal</methodName>
  <params>
    <param><value><string>0034048207</string></value></param>
    <param><value><string>68263116</string></value></param>
    <param><value><int>559</int></value></param>
    <param><value><string>PAYPAL 4029357733 SGP</string></value></param>
    <param><value><string></string></value></param>
    <param><value><string>571156</string></value></param>
    <param><value><dateTime.iso8601>20200824T01:52:15</dateTime.iso8601></value></param>
    <param><value><string>2010206</string></value></param>
    <param><value><dateTime.iso8601>20200824T03:52:22</dateTime.iso8601></value></param>
    <param>
      <value>
        <string>D86B50F9FB658F5AB00A280BF52A40DAD7A3B89919D98ADABBC93FD42D5AF9E8</string>
      </value>
    </param>
  </params>
</methodCall>

RESPONSE

Status 200 OK

SCHEMA

FieldTypeDescription
resultCodeintegerStatus code indicating transaction result

Example Response (XML)

<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>